OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ShapeAspect Class Reference

`#include <StepRepr_ShapeAspect.hxx>`

Inheritance diagram for StepRepr_ShapeAspect:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_ShapeAspect ()
| Returns a ShapeAspect .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_ProductDefinitionShape)&aOfShape, const StepData_Logical aProductDefinitional)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetOfShape (const Handle(StepRepr_ProductDefinitionShape)&aOfShape)
Standard_EXPORT Handle_StepRepr_ProductDefinitionShape | OfShape () const
Standard_EXPORT void | SetProductDefinitional (const StepData_Logical aProductDefinitional)
Standard_EXPORT StepData_Logical | ProductDefinitional () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Handle_StepRepr_ProductDefinitionShape | ofShape
StepData_Logical | productDefinitional

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ShapeAspect::StepRepr_ShapeAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ShapeAspect::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_ShapeAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepDimTol_CommonDatum, StepDimTol_Datum, StepDimTol_DatumFeature, StepDimTol_DatumTarget, StepDimTol_PlacedDatumTargetFeature, StepFEA_FeaModelDefinition, StepFEA_NodeDefinition, StepRepr_CompositeShapeAspect, StepRepr_DerivedShapeAspect, and StepRepr_Extension.

virtual Standard_EXPORT void StepRepr_ShapeAspect::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_ProductDefinitionShape)& | aOfShape,
|  | const StepData_Logical | aProductDefinitional
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ShapeAspect::Name | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ProductDefinitionShape StepRepr_ShapeAspect::OfShape | ( |  | ) | const

Standard_EXPORT StepData_Logical StepRepr_ShapeAspect::ProductDefinitional | ( |  | ) | const

Standard_EXPORT void StepRepr_ShapeAspect::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepRepr_ShapeAspect::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepRepr_ShapeAspect::SetOfShape | ( | const Handle(StepRepr_ProductDefinitionShape)& | aOfShape | ) |

Standard_EXPORT void StepRepr_ShapeAspect::SetProductDefinitional | ( | const StepData_Logical | aProductDefinitional | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_ShapeAspect::description`[private]`

Handle_TCollection_HAsciiString StepRepr_ShapeAspect::name`[private]`

Handle_StepRepr_ProductDefinitionShape StepRepr_ShapeAspect::ofShape`[private]`

StepData_Logical StepRepr_ShapeAspect::productDefinitional`[private]`

The documentation for this class was generated from the following file:

- StepRepr_ShapeAspect.hxx